Debian Bug report logs - #530805
ov51x-jpeg-source: Compilation failed using module-assistant

version graph

Package: ov51x-jpeg-source; Maintainer for ov51x-jpeg-source is (unknown);

Reported by: Marcin Kucharczyk <kuchar@net.icm.edu.pl>

Date: Wed, 27 May 2009 22:15:01 UTC

Severity: grave

Merged with 541860

Found in version ov51x-jpeg/1.5.9-1

Fixed in version 1.5.9-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#530805; Package ov51x-jpeg-source. (Wed, 27 May 2009 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Kucharczyk <kuchar@net.icm.edu.pl>:
New Bug report received and forwarded. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Wed, 27 May 2009 22:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcin Kucharczyk <kuchar@net.icm.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ov51x-jpeg-source: Compilation failed using module-assistant
Date: Thu, 28 May 2009 00:12:14 +0200
Package: ov51x-jpeg-source
Version: 1.5.9-1
Severity: grave
Justification: renders package unusable


When trying to compile using module-assistant there are errors:

  CC [M]  /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o                                                                                    
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_clear_snapshot’:                                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:1691: error: implicit declaration of function ‘warn’                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘decompress’:                                                                   
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:4414: warning: unused variable ‘ret’                                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:4424: warning: unused variable ‘ret’                                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov511_move_data’:                                                              
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:4864: error: implicit declaration of function ‘info’                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:                                                             
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 1 of ‘video_usercopy’ from incompatible pointer type         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 2 of ‘video_usercopy’ makes integer from pointer without a cast                                                                                                                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 4 of ‘video_usercopy’ makes pointer from integer without a cast                                                                                                                                         
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: error: too many arguments to function ‘video_usercopy’                                 
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: At top level:                                                                               
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6651: warning: initialization from incompatible pointer type 

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-2-686 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ov51x-jpeg-source depends on:
ii  bzip2                         1.0.5-1    high-quality block-sorting file co
ii  debhelper                     7.2.14     helper programs for debian/rules
ii  make                          3.81-5     The GNU version of the "make" util
ii  module-assistant              0.11.1     tool to make module package creati

ov51x-jpeg-source recommends no packages.

ov51x-jpeg-source suggests no packages.

-- no debconf information




Severity set to `normal' from `grave' Request was from Romain Beauxis <toots@rastageeks.org> to control@bugs.debian.org. (Wed, 27 May 2009 22:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, devel@tootai.net, Romain Beauxis <toots@rastageeks.org>:
Bug#530805; Package ov51x-jpeg-source. (Mon, 22 Jun 2009 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to root <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to devel@tootai.net, Romain Beauxis <toots@rastageeks.org>. (Mon, 22 Jun 2009 10:09:41 GMT) Full text and rfc822 format available.

Message #12 received at 530805@bugs.debian.org (full text, mbox):

From: root <devel@tootai.net>
To: Debian Bug Tracking System <530805@bugs.debian.org>
Subject: ov51x-jpeg-source: confirmed with 2.6.30-1-amd64 - Unable to build the module
Date: Mon, 22 Jun 2009 11:46:27 +0200
Package: ov51x-jpeg-source
Version: 1.5.9-1
Severity: normal


  CC [M]  /home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.o
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:543: error: ‘v4l_compat_ioctl32’ undeclared here (not in a function)
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘create_proc_ov511_cam’:
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:677: error: implicit declaration of function ‘info’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:681: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:689: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:700: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:712: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘proc_ov511_create’:
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:766: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_clear_snapshot’:
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:1691: error: implicit declaration of function ‘warn’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 1 of ‘video_usercopy’ from incompatible pointer type
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 2 of ‘video_usercopy’ makes integer from pointer without a cast
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 4 of ‘video_usercopy’ makes pointer from integer without a cast
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: error: too many arguments to function ‘video_usercopy’
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: At top level:
/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6651: warning: initialization from incompatible pointer type
make[6]: *** [/home/dh/src/modules/ov51x-jpeg/ov51x-jpeg-core.o] Erreur 1
make[5]: *** [_module_/home/dh/src/modules/ov51x-jpeg] Erreur 2
make[4]: *** [sub-make] Erreur 2
make[3]: *** [all] Erreur 2
make[3]: quittant le répertoire « /home/dh/src/linux-headers-2.6.30-1-amd64 »
make[2]: *** [all] Erreur 2
make[2]: quittant le répertoire « /home/dh/src/modules/ov51x-jpeg »
make[1]: *** [binary-modules] Erreur 2
make[1]: quittant le répertoire « /home/dh/src/modules/ov51x-jpeg »
make: *** [kdist_build] Erreur 2

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ov51x-jpeg-source depends on:
ii  bzip2                         1.0.5-2    high-quality block-sorting file co
ii  debhelper                     7.2.16     helper programs for debian/rules
ii  make                          3.81-6     An utility for Directing compilati
ii  module-assistant              0.11.1     tool to make module package creati

ov51x-jpeg-source recommends no packages.

ov51x-jpeg-source suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#530805; Package ov51x-jpeg-source. (Tue, 18 Aug 2009 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. (Tue, 18 Aug 2009 20:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 530805@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 541860@bugs.debian.org
Cc: 530805@bugs.debian.org, control@bugs.debian.org
Subject: Driver will be removed soon.
Date: Tue, 18 Aug 2009 15:57:19 -0500
forcemerge 541860 530805 
thanks

	Hi !

Just a quick notification about these issues.

This driver is now unmaitained [1]. The reason is that the basecode has been 
added into the main kernel, through the gspca driver.

There are patches floating around for compilation in 2.6.30, but I prefer to 
push for an adoption of the mainstream driver.

The reason for my silence so far is because I didn't have access to the 
hardware. However, I have two cams now and I will try to test and contribute 
to the new driver if needed for them.

So, soon, this package will be removed from the archive, when I have a working 
setting using the new driver.

Romain


[1]: http://lists.rastageeks.org/pipermail/ov51x-jpeg/2009-May/000491.html




Forcibly Merged 530805 541860. Request was from Romain Beauxis <toots@rastageeks.org> to control@bugs.debian.org. (Tue, 18 Aug 2009 20:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#530805; Package ov51x-jpeg-source. (Mon, 12 Dec 2011 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Mon, 12 Dec 2011 08:06:04 GMT) Full text and rfc822 format available.

Message #24 received at 530805@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Romain Beauxis <toots@rastageeks.org>
Cc: 541860@bugs.debian.org, 530805@bugs.debian.org
Subject: Re: Driver will be removed soon.
Date: Mon, 12 Dec 2011 08:02:54 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2009-08-18 at 15:57 -0500, Romain Beauxis wrote:
> forcemerge 541860 530805 
> thanks
> 
> 	Hi !
> 
> Just a quick notification about these issues.
> 
> This driver is now unmaitained [1]. The reason is that the basecode has been 
> added into the main kernel, through the gspca driver.
> 
> There are patches floating around for compilation in 2.6.30, but I prefer to 
> push for an adoption of the mainstream driver.
> 
> The reason for my silence so far is because I didn't have access to the 
> hardware. However, I have two cams now and I will try to test and contribute 
> to the new driver if needed for them.
> 
> So, soon, this package will be removed from the archive, when I have a working 
> setting using the new driver.

Please do this, otherwise someone else will have to make the removal
request.

Ben.

-- 
Ben Hutchings
Computers are not intelligent.	They only think they are.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 04 Jul 2012 21:57:14 GMT) Full text and rfc822 format available.

Notification sent to Marcin Kucharczyk <kuchar@net.icm.edu.pl>:
Bug acknowledged by developer. (Wed, 04 Jul 2012 21:57:14 GMT) Full text and rfc822 format available.

Message #29 received at 530805-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 530805-done@bugs.debian.org,541860-done@bugs.debian.org,
Cc: ov51x-jpeg@packages.debian.org, ov51x-jpeg@packages.qa.debian.org
Subject: Bug#680254: Removed package(s) from unstable
Date: Wed, 04 Jul 2012 21:55:19 +0000
Version: 1.5.9-1+rm

Dear submitter,

as the package ov51x-jpeg has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/680254

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 04 Jul 2012 21:57:16 GMT) Full text and rfc822 format available.

Notification sent to Gregor Hermens <gregor.hermens@a-mazing.de>:
Bug acknowledged by developer. (Wed, 04 Jul 2012 21:57:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Aug 2012 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:12:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.